Index: inc/postmac.h
===================================================================
RCS file: /cvs/tools/solenv/inc/postmac.h,v
retrieving revision 1.7
retrieving revision 1.7.126.1
diff -u -r1.7 -r1.7.126.1
--- inc/postmac.h	8 Sep 2005 09:36:31 -0000	1.7
+++ inc/postmac.h	21 Feb 2006 18:15:36 -0000	1.7.126.1
@@ -50,7 +50,7 @@
 #undef LSize
 #undef ModalDialog
 #undef SetCursor
-#undef ShowWindow
+//#undef ShowWindow
 #undef StringPtr
 #undef DirInfo
 #undef BOOL
Index: inc/premac.h
===================================================================
RCS file: /cvs/tools/solenv/inc/premac.h,v
retrieving revision 1.7
retrieving revision 1.7.126.1
diff -u -r1.7 -r1.7.126.1
--- inc/premac.h	8 Sep 2005 09:37:32 -0000	1.7
+++ inc/premac.h	21 Feb 2006 18:15:36 -0000	1.7.126.1
@@ -50,7 +50,7 @@
 #define LSize MacOSLSize
 #define ModalDialog MacOSModalDialog
 #define SetCursor MacOSSetCursor
-#define ShowWindow MacOSShowWindow
+//#define ShowWindow MacOSShowWindow
 #define StringPtr MacOSStringPtr
 #define DirInfo MacOSDirInfo
 #define BOOL MacOSBOOL
Index: inc/rules.mk
===================================================================
RCS file: /cvs/tools/solenv/inc/rules.mk,v
retrieving revision 1.64
retrieving revision 1.64.126.1
diff -u -r1.64 -r1.64.126.1
--- inc/rules.mk	8 Sep 2005 09:38:28 -0000	1.64
+++ inc/rules.mk	27 Nov 2005 10:11:08 -0000	1.64.126.1
@@ -301,6 +301,63 @@
 noout=>& $(NULLDEV)
 .ENDIF
 
+# Objective-C++ files
+$(OBJ)$/%.obj : %.mm
+	@echo ------------------------------
+	@echo Making: $@
+.IF "$(OS)"=="MACOSX"
+.IF "$(TEST)"!=""
+	$(objc) $(CFLAGS) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSOBJ) $(CDEFS) $(CDEFSOBJ) -E $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(OBJ)$/$*.o $*.mm
+.ELSE
+	@$(RM) $@ $(@:s/.obj/.o/)
+	$(objc) $(CFLAGS) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSOBJ) $(CDEFS) $(CDEFSOBJ) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(OBJ)$/$*.o $*.mm
+	+if ( -e $(@:s/.obj/.o/)) $(TOUCH) $@
+.ENDIF
+.ELSE		"$(OS)"=="MACOSX"
+	@echo "No recipe for compiling Objective-C++ files is available for this platform"
+.ENDIF		"$(OS)"=="MACOSX"
+
+# Objective-C++ files
+$(OBJ)$/%.obj : $(MISC)$/%.mm
+	@echo ------------------------------
+	@echo Making: $@
+.IF "$(OS)"=="MACOSX"
+	@$(RM) $@ $(@:s/.obj/.o/)
+	$(objc) $(CFLAGS) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSOBJ) $(CDEFS) $(CDEFSOBJ) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(OBJ)$/$*.o $(MISC)$/$*.mm
+	+if ( -e $(@:s/.obj/.o/)) $(TOUCH) $@
+.ELSE		"$(OS)"=="MACOSX"
+	@echo "No recipe for compiling Objective-C++ files is available for this platform"
+.ENDIF		"$(OS)"=="MACOSX"
+
+# Objective-C++ files
+$(SLO)$/%.obj : $(MISC)$/%.mm
+	@echo ------------------------------
+	@echo Making: $@
+.IF "$(OS)"=="MACOSX"
+	@$(RM) $@ $(@:s/.obj/.o/)
+	$(objc) $(CFLAGS) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSSLO) $(CDEFS) $(CDEFSSLO) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(SLO)$/$*.o $(MISC)$/$*.mm
+	+if ( -e $(@:s/.obj/.o/)) $(TOUCH) $@
+.ELSE		"$(OS)"=="MACOSX"
+	@echo "No recipe for compiling Objective-C++ files is available for this platform"
+.ENDIF		"$(OS)"=="MACOSX"
+
+# Objective-C++ files
+$(SLO)$/%.obj : %.mm
+	@echo ------------------------------
+	@echo Making: $@
+.IF "$(OS)"=="MACOSX"
+	@$(RM) $@ $(@:s/.obj/.o/)
+	$(objc) $(CFLAGS) $(CFLAGSCC) $(OBJCXXFLAGS) $(CFLAGSSLO) $(CDEFS) $(CDEFSSLO) $(CDEFSMT) $(CFLAGSAPPEND) $(CFLAGSOUTOBJ) $(SLO)$/$*.o $*.mm
+	+if ( -e $(@:s/.obj/.o/)) $(TOUCH) $@
+.ELSE		"$(OS)"=="MACOSX"
+	@echo "No recipe for compiling Objective-C++ files is available for this platform"
+.ENDIF		"$(OS)"=="MACOSX"
+
+# dependencies c / c++
+.IF "$(verbose)"==""
+noout=>& $(NULLDEV)
+.ENDIF
+
 $(MISC)$/s_%.dpcc : %.c
 	@echo ------------------------------ $(noout)
 	@echo Making: $@ $(noout)
@@ -467,6 +524,60 @@
 .ENDIF			# "$(LAZY_DEPS)"==""	
    
 $(MISC)$/o_%.dpcc : $(MISC)$/%.m
+	@echo ------------------------------ $(noout)
+	@echo Making: $@ $(noout)
+	@+-$(RM) $@ >& $(NULLDEV)
+.IF "$(GUI)"=="UNX"	
+	@$(MAKEDEPEND) -f - -p$(OBJ)$/ $(MKDEPFLAGS) $(CDEFS) $(CDEFSOBJ) $(CDEFSMT) $< | sed s\#$(MISC)$/\#\# > $@
+.ELSE			# "$(GUI)"=="UNX"	
+	@$(MAKEDEPEND) -f - -p$(OBJ)$/ $(MKDEPFLAGS) $(CDEFS) $(CDEFSOBJ) $(CDEFSMT) $< | $(SED) s/$(MISC:s/\/\\/)\\// > $@
+.ENDIF			# "$(GUI)"=="UNX"	
+.IF "$(LAZY_DEPS)"==""	
+	@+echo $@ : $(OBJ)$/$(<:b).obj >> $@
+.ELSE			# "$(LAZY_DEPS)"==""	
+	@+echo LAZY_DEPS=were_used_to_generate >> $@
+.ENDIF			# "$(LAZY_DEPS)"==""	
+
+# dependencies objective-c++
+
+$(MISC)$/s_%.dpcc : %.mm
+	@echo ------------------------------ $(noout)
+	@echo Making: $@ $(noout)
+	@+-$(RM) $@ >& $(NULLDEV)
+	@$(MAKEDEPEND) -f - -p$(SLO)$/ $(MKDEPFLAGS) $(CDEFS) $(CDEFSSLO) $(CDEFSMT) $< > $@
+.IF "$(LAZY_DEPS)"==""	
+	@+echo $@ : $(SLO)$/$(<:b).obj >> $@
+.ELSE			# "$(LAZY_DEPS)"==""	
+	@+echo LAZY_DEPS=were_used_to_generate >> $@
+.ENDIF			# "$(LAZY_DEPS)"==""	
+   
+$(MISC)$/o_%.dpcc : %.mm
+	@echo ------------------------------ $(noout)
+	@echo Making: $@ $(noout)
+	@+-$(RM) $@ >& $(NULLDEV)
+	@$(MAKEDEPEND) -f - -p$(OBJ)$/ $(MKDEPFLAGS) $(CDEFS) $(CDEFSOBJ) $(CDEFSMT) $< > $@
+.IF "$(LAZY_DEPS)"==""	
+	@+echo $@ : $(OBJ)$/$(<:b).obj >> $@
+.ELSE			# "$(LAZY_DEPS)"==""	
+	@+echo LAZY_DEPS=were_used_to_generate >> $@
+.ENDIF			# "$(LAZY_DEPS)"==""	
+   
+$(MISC)$/s_%.dpcc : $(MISC)$/%.mm
+	@echo ------------------------------ $(noout)
+	@echo Making: $@ $(noout)
+	@+-$(RM) $@ >& $(NULLDEV)
+.IF "$(GUI)"=="UNX"	
+	@$(MAKEDEPEND) -f - -p$(SLO)$/ $(MKDEPFLAGS) $(CDEFS) $(CDEFSSLO) $(CDEFSMT) $< | sed s\#$(MISC)$/\#\# > $@
+.ELSE			# "$(GUI)"=="UNX"	
+	@$(MAKEDEPEND) -f - -p$(SLO)$/ $(MKDEPFLAGS) $(CDEFS) $(CDEFSSLO) $(CDEFSMT) $< | $(SED) s/$(MISC:s/\/\\/)\\// > $@
+.ENDIF			# "$(GUI)"=="UNX"	
+.IF "$(LAZY_DEPS)"==""	
+	@+echo $@ : $(SLO)$/$(<:b).obj >> $@
+.ELSE			# "$(LAZY_DEPS)"==""	
+	@+echo LAZY_DEPS=were_used_to_generate >> $@
+.ENDIF			# "$(LAZY_DEPS)"==""	
+   
+$(MISC)$/o_%.dpcc : $(MISC)$/%.mm
 	@echo ------------------------------ $(noout)
 	@echo Making: $@ $(noout)
 	@+-$(RM) $@ >& $(NULLDEV)
Index: inc/unxmacxp.mk
===================================================================
RCS file: /cvs/tools/solenv/inc/unxmacxp.mk,v
retrieving revision 1.57
retrieving revision 1.57.68.1
diff -u -r1.57 -r1.57.68.1
--- inc/unxmacxp.mk	17 Oct 2005 14:20:53 -0000	1.57
+++ inc/unxmacxp.mk	27 Nov 2005 10:11:08 -0000	1.57.68.1
@@ -94,7 +94,9 @@
 CFLAGSCC=-pipe -fsigned-char -malign-natural $(ARCH_FLAGS)
 
 # Normal Objective C compilation flags
-OBJCFLAGS=-no-precomp
+#OBJCFLAGS=-no-precomp
+OBJCFLAGS=-fobjc-exceptions
+OBJCXXFLAGS=-x objective-c++ -fobjc-exceptions
 
 # Comp Flags for files that need exceptions enabled (C and C++)
 CFLAGSEXCEPTIONS=-fexceptions -fno-enforce-eh-specs
@@ -198,10 +200,16 @@
 STDSLOCUI=
 
 STDLIBGUIST=-lm
-STDLIBCUIST=-lX11 -lpthread CPPRUNTIME -lm
+.IF "$(GUIBASE)" == "aqua"
+	STDLIBCUIST=-lpthread CPPRUNTIME -lm
+	STDLIBCUIMT=CPPRUNTIME -lm
+	STDSHLGUIMT=-lpthread CPPRUNTIME -lm
+.ELSE
+	STDLIBCUIST=-lX11 -lpthread CPPRUNTIME -lm
+	STDLIBCUIMT=-lX11 CPPRUNTIME -lm
+	STDSHLGUIMT=-lX11 -lXext -lpthread CPPRUNTIME -lm
+.ENDIF
 STDLIBGUIMT=-lpthread CPPRUNTIME -lm
-STDLIBCUIMT=-lX11 CPPRUNTIME -lm
-STDSHLGUIMT=-lX11 -lXext -lpthread CPPRUNTIME -lm
 STDSHLCUIMT=-lpthread CPPRUNTIME -lm
 
 LIBMGR=ar
